No versions build under FreeBSD 12.1

#1
I've detailed issues with 1.6.4 in a different thread. With 1.6.4 I got as far as

Making all in sslpp
make[3]: don't know how to make all. Stop


Makefile is zero bytes for this.
root@vws2:~/openlitespeed-1.6.4 # ls -l src/sslpp/Makefile
-rw-r--r-- 1 root 100 0 Dec 16 15:07 src/sslpp/Makefile


With 1.5.10
make[3]: don't know how to make ../ssl/libssl.a. Stop

With 1.4.51 I get to

In file included from iptogeo.cpp:19:
./iptogeo.h:29:10: fatal error: 'GeoIP.h' file not found


This is because GeoIP is now libmaxminddb
 
Last edited:
#2
For 1.6. and 1.5, you can use ./build.sh, then ./install.sh, I tested on fresh freebsd 11 and 12.
For 1.4, you can use ./configure, but since GeoIP not support, please add --enable-iptogeo=no to configure.
We can remove this part later.
Please update us when you still have anything.
Thanks.
David
 
Top